Compile Date

 Compile Date: 2001-06-12


Verify A resource records exist in DNS

Microsoft Windows graphic

To verify A resource records exist in DNS

  1. Open Command Prompt.
  2. Type:

    3. nslookup RootServerIPAddress

  3. Type:

    4. nslookup

  4. At the next prompt, type:

    set q=A

  5. At the next prompt, type:

    ActiveDirectoryDomainName

  6. Look through the returned resource records for the fully qualified domain name (FQDN) of the domain controller.

    7. If they do not exist, do one of the following:

    • If the zone authoritative for the Domain Name System (DNS) name of the domain controller is configured to allow dynamic update, use the ipconfig/registerdns command to renew DNS registration. This procedure must be performed from the command line on the domain controller that did not register its A (address) resource record.
    • If the zone authoritative for the DNS name of the domain controller is not configured to allow dynamic updates, on a DNS server, use the DNS console in Microsoft Management Console (MMC) to administer the DNS server and add the required A resource records or enable dynamic update.

Notes

  • XOX
  • For more information about the Nslookup command-line tool, click Related Topics.

Related Topics


Troubleshooting joining a domain

Error: This computer could not join the domain.

Cause: This computer could not locate a domain controller for the specified Active Directory domain.

Solution: Verify the DNS resource records needed to join an Active Directory domain.

See also: To verify the DNS resource records needed to join an Active Directory domain; DNS requirements for joining an Active Directory domain.


Troubleshooting network identification

Error: This computer could not locate a domain controller for the Active Directory domain displayed in the error message because the Domain Name System (DNS) servers used by this computer for name resolution did not respond. As a result, this computer cannot join the Active Directory domain until this problem is fixed.

Cause: The DNS servers did not respond because the IP addresses of the preferred or alternate DNS servers with which this computer is configured are incorrect or there is a connectivity problem, or the IP addresses are correct and the DNS servers are not running.

Solution: Contact your network administrator and verify that the IP addresses of the DNS servers used by this computer are correct.

Cause: The DNS servers did not respond because there is a connectivity problem.

Solution: Eliminate the possibility of a basic network connectivity problem by using the ping command.

See also: To test a TCP/IP configuration by using the ping command.

Cause: DNS servers are not running.

Solution: To determine if the DNS servers are running, you can use the DNS console in Microsoft Management Console (MMC) to view local and remote DNS servers.

See also: DNS console Help in MMC.

Cause: If there is no connectivity problem and the DNS servers are running, then this computer could be using DHCP to obtain IP addresses for its DNS servers and the DHCP server could be providing incorrect IP addresses.

Solution: Determine if this computer uses DHCP to obtain its DNS server IP addresses by typing ipconfig/all at the command prompt. Then, if the DHCP Enabled setting is set to Yes, this computer uses DHCP to obtain DNS server addresses. Contact your network administrator to verify that the DHCP server is running and providing correct DNS server IP addresses.

See also: DNS requirements for joining an Active Directory domain.


Troubleshooting network identification

Error: This computer could not locate a domain controller for the Active Directory domain displayed in the error message because the Domain Name System (DNS) servers used by this computer for name resolution failed to look up the service (SRV) resource record.

Cause: The DNS SRV resource record is not registered in DNS.

Solution: Verify that the SRV resource record for the requested domain and service type exists in DNS. You can do this using the Dcdiag command-line tool, which must be run on a domain controller for the Active Directory domain you entered. To download Dcdiag, see the Download Center on the Microsoft Web site(go to http://www.microsoft.com/ and search for "download center.").

Cause: One or more of the zones listed in the error message do not include a delegation to its child zone.

Solution: Verify DNS zone delegations by using the Nslookup command-line tool.

See also: DNS requirements for joining an Active Directory domain.


Troubleshooting network identification

Error: This computer could not locate the Domain Name System (DNS) service (SRV) resource record needed to locate a domain controller for the Active Directory domain displayed in the error message because the DNS servers used by this computer for name resolution failed to look up the SRV resource record.

Cause: The DNS servers used by this computer for name resolution may have incorrect root hints.

Solution: Update the root hints for the DNS servers.

See also: DNS console Help in Microsoft Management Console (MMC).

Cause: Some of the delegations listed in the DNS zones are incorrect.

Solution: Verify DNS zone delegations by using the Nslookup command-line tool.

See also: DNS requirements for joining an Active Directory domain.


Troubleshooting network identification

Error: This computer successfully resolved the Domain Name System (DNS) service (SRV) resource record required to locate a domain controller, but it failed to locate a domain controller for the Active Directory domain displayed in the error message.

Cause: The required A (address) resource records that map the name of the domain controller to its IP address do not exist in DNS.

Solution: Verify that the required A resource records do not exist in DNS by using the Nslookup command-line tool.

See also: To verify that A resource records exist in DNS.

Cause: The domain controller advertised in DNS may not be connected to the network or is connected to the network but is not running.

Solution: Verify connectivity and then verify that the domain controller is running.

See also: To test a TCP/IP configuration by using the ping command; DNS requirements for joining an Active Directory domain.


Configure a computer's preferred DNS server

To configure a computer's preferred DNS server

  1. Open Network Connections.
  2. Right-click Local Area Connection, and then click Properties.
  3. Click Internet Protocol (TCP/IP), and then click Properties.
  4. Do one of the following:
    • If the computer will use DHCP to obtain a preferred DNS server, click Obtain DNS server address automatically.

      • This option is available only when the Obtain an IP address automatically option is selected.

    • If the computer will use a static IP address for a preferred DNS server, click Use the following DNS server addresses.

      • For Preferred DNS server, specify the IP address of the DNS server this computer should use.

Notes

  • XOX
  • Usually, the preferred Domain Name System (DNS) server is an existing DNS server within the same site as the computer you want to configure. If the computer you want to configure is running a DNS server and you want it to send queries to this local DNS server, you can specify the computer's own IP address as its preferred DNS server. Optionally, you can specify the IP address of an alternate DNS server that this computer will use if the preferred DNS server does not respond.
  • If the computer for which you are configuring a preferred DNS server is using a local DNS server as its preferred DNS server, it is strongly recommended that you use a static IP address. To do this, click Use following IP address, and then specify the static IP address, subnet mask, and IP address of the default gateway.


Verify the DNS resource records needed to join an Active Directory domain using nslookup

To verify the DNS resource records needed to join an Active Directory domain using nslookup

  1. Open Command Prompt.
  2. Type:

    nslookup

  3. At the next prompt, type:

    4. set q=ResourceRecordType

  4. At the next prompt, type:

    5. _ldap._tcp.dc._msdcs.ActiveDirectoryDomainName

  5. Review the output of the previous SRV query and determine if further action is needed based on whether the previous query succeeded or failed:
    • If the query succeeded, review the registered service location (SRV) resource records returned in the query to determine if all domain controllers for your Active Directory domain are included and registered using valid IP addresses.
    • If the query failed, continue troubleshooting dynamic update or DNS server-related issues to determine the exact cause of the problem.
Value | Description
nslookup | The name of the command.
set q= | The command to send the query to the root server.
ResourceRecordType | The resource record (RR) type to apply as a filter for subsequent lookups. For example, in this instance, because you want to limit subsequent name queries to filter and return only SRV resource records that use a specified name, type: set q=srv
_ldap._tcp.dc._msdcs.ActiveDirectoryDomainName | The DNS name configured for use with your Active Directory domain and any of its associated domain controllers. For example, if the DNS domain name of your Active Directory domain is example.microsoft.com, type: _ldap._tcp.dc._msdcs.example.microsoft.com.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    nslookup /help

  • In some cases, when performing this procedure, you might see several time-outs reported. This happens when reverse lookup is not configured for DNS servers servicing the same DNS domain as your Active Directory domain.
  • The following is an example of command-line output for an Nslookup session used to verify SRV resource records that are registered by domain controllers. In the following example, the two domain controllers are dc1 and dc2 and are registered for the "example.microsoft.com" domain.

C:\nslookup
Default Server:  dc1.example.microsoft.com
Address:  10.0.0.14
 set type=srv
 _ldap._tcp.dc._msdcs.example.microsoft.com
Server:  dc1.example.microsoft.com
Address:  10.0.0.14
_ldap._tcp.dc._msdcs.example.microsoft.com   SRV service location:
          priority       = 0
          weight         = 0
          port           = 389
          svr hostname   = dc1.example.microsoft.com
_ldap._tcp.dc._msdcs.example.microsoft.com   SRV service location:
          priority       = 0
          weight         = 0
          port           = 389
          svr hostname   = dc2.example.microsoft.com
dc1.example.microsoft.com     internet address = 10.0.0.14
dc2.example.microsoft.com     internet address = 10.0.0.15
  • The Nslookup command-line tool is a standard tool provided in most DNS service implementations. It offers the ability to perform query testing of DNS servers and obtain detailed responses as the command output. This information is useful in troubleshooting name resolution problems, verifying that resource records are added or updated correctly in a zone, and debugging other server-related problems.
  • Verify that resource records used to register services and critical hosts, such as domain controllers, are correctly added to zones.

    In some cases, you might need to manually add or verify registration of the SRV resource records used to support domain controllers.

    To add the SRV resource records that have been created for a domain controller, open and view the Netlogon.dns file, which is created by the Active Directory Installation Wizard when a server computer is promoted to a domain controller. It can be found at the following location:

    systemroot\System32\Config\Netlogon.dns

  • The Net Logon service on each domain controller registers, as appropriate, a number of different DNS resource records with DNS servers. For more information about these records and how Net Logon updates DNS, see the Windows DNS page on the Microsoft Web site(go to http://www.microsoft.com/ and search for "Windows DNS").


Troubleshooting joining an Active Directory domain or renaming your computer

The computer could not join an Active Directory domain or be renamed due to one of the causes listed in the error message. For some of the causes, you must contact your network administrator to correct the computer's configuration. To solve the errors that do not require contacting your network administrator, you may configure the computer to update its primary DNS suffix when domain membership changes, or configure its primary DNS suffix to match the Active Directory domain DNS name or any other allowed primary DNS suffix.

See also: To change the DNS suffix of your computer.

Note

  • If the computer is configured with a primary DNS suffix that is not allowed in the Active Directory domain, your network administrator may allow different DNS suffixes by configuring the MS-DS-allowedDnsSuffixes attribute in the Domain-DNS object of the Active Directory domain where the computer is a member.


DNS requirements for joining an Active Directory domain

Active Directory uses Domain Name System (DNS) to locate domain controllers, enabling computers joining the network to obtain a domain controller, and then begin the process of network authentication.

Computers joining an Active Directory domain must satisfy the following three DNS requirements:

  • The computer must be configured with the IP address of a preferred DNS server.
  • The _ldap._tcp.dc._msdcs.DNSDomainName service (SRV) resource record must exist in DNS.
  • The address (A) resource record for the DNS name of the domain controllers specified in the data field of the _ldap._tcp.dc._msdcs.DNSDomainName SRV resource record must exist in DNS.

Configuring a computer’s preferred DNS server

To join a computer to a domain, you can configure the computer with the static IP address of a preferred DNS server manually or assign the IP address of a preferred DNS server using Dynamic Host Configuration Protocol (DHCP).

Configuring the required DNS resource records

Computers joining an Active Directory domain need the following resource records in DNS to locate an Active Directory domain controller:

  • _ldap._tcp.dc._msdcs.DNSDomainName SRV resource record, which identifies the names of the domain controllers that serve the Active Directory domain.

    DNSDomainName is the DNS name of the Active Directory domain the computer is attempting to join.

  • A corresponding A resource record that identifies the IP addresses for the domain controllers listed in the _ldap._tcp.dc._msdcs.DNSDomainName SRV resource record.

For more information, see To verify the DNS resource records needed to join an Active Directory domain.


TCP/IP RFCs

The standards for TCP/IP are published in a series of documents called Requests for Comments (RFCs). RFCs are an evolving series of reports, proposals for protocols, and protocol standards that describe the internal workings of TCP/IP and the Internet.

Although TCP/IP standards are always published as RFCs, not all RFCs specify standards. RFCs are authored by individuals who voluntarily write and submit a draft proposal for a new protocol or specification to the Internet Engineering Task Force (IETF) and other working groups. Submitted drafts are first reviewed by a technical expert, a task force, or an RFC editor, and then assigned a status.

If a draft passes this initial review stage, it is circulated to the larger Internet community for a period of further comment and review, and assigned an RFC number. This RFC number remains constant.

If changes are made to the proposed specification, drafts that are revised or updated are circulated by using a new RFC (a number higher than the original RFC number) to identify more recent documents.

There are six status assignments for RFCs in the standards process, as shown in the following table.

Status | Description
Standard protocol | An official standard protocol of the Internet.
Draft standard protocol | Under active consideration and review to become a standard protocol.
Proposed standard protocol | A protocol that in the future may become a standard protocol.
Experimental protocol | A protocol designed for experimental purposes. An experimental protocol is not intended for operational use.
Informational protocol | A protocol developed by another standards organization that is included for the convenience of the Internet community.
Historic protocol | Protocols that have been superceded or obsoleted by other protocols.

RFCs for TCP/IP for XOX

The following table shows the RFCs supported by the TCP/IP protocol and supporting services in XOX.

RFC number | Title
768 | User Datagram Protocol (UDP)
783 | Trivial File Transfer Protocol (TFTP)
791 | Internet Protocol (IP)
792 | Internet Control Message Protocol (ICMP)
793 | Transmission Control Protocol (TCP)
816 | Fault Isolation and Recovery
826 | Address Resolution Protocol (ARP)
854 | Telnet Protocol (TELNET)
862 | Echo Protocol (ECHO)
863 | Discard Protocol (DISCARD)
864 | Character Generator Protocol (CHARGEN)
865 | Quote of the Day Protocol (QUOTE)
867 | Daytime Protocol (DAYTIME)
894 | IP over Ethernet
919 | Broadcasting Internet Datagrams
922 | Broadcasting Internet Datagrams in the Presence of Subnets
950 | Internet Standard Subnetting Procedure
959 | File Transfer Protocol (FTP)
1001 | Protocol Standard for a NetBIOS Service on a TCP/UDP Transport: Concepts and Methods
1002 | Protocol Standard for a NetBIOS Service on a TCP/UDP Transport: Detailed Specifications
1009 | Requirements for Internet Gateways
1034 | Domain Names - Concepts and Facilities
1035 | Domain Names - Implementation and Specification
1042 | IP over Token Ring
1055 | A Nonstandard for Transmission of IP Datagrams Over Serial Lines: SLIP
1065 | Structure and Identification of Management Information for TCP/IP-based Internets
1112 | Internet Group Management Protocol (IGMP)
1122 | Requirements for Internet Hosts - Communication Layers
1123 | Requirements for Internet Hosts - Application and Support
1144 | Compressing TCP/IP Headers for Low-Speed Serial Links
1157 | Simple Network Management Protocol (SNMP)
1179 | Line Printer Daemon Protocol
1188 | IP over FDDI
1191 | Path MTU Discovery
1201 | IP over ARCNET
1256 | ICMP Router Discovery Messages
1323 | TCP Extensions for High Performance
1332 | PPP Internet Protocol Control Protocol (IPCP)
1518 | An Architecture for IP Address Allocation with CIDR
1519 | Classless Inter-Domain Routing (CIDR): An Address Assignment and Aggregation Strategy
1534 | Interoperation Between DHCP and BOOTP
1542 | Clarifications and Extensions for the Bootstrap Protocol
1552 | PPP Internetwork Packet Exchange Control Protocol (IPXCP)
1661 | Point-to-Point Protocol (PPP)
1662 | PPP in HDLC-like Framing
1748 | IEEE 802.5 MIB using SMIv2
1749 | IEEE 802.5 Station Source Routing MIB using SMIv2
1812 | Requirements for IP Version 4 Routers
1828 | IP Authentication using Keyed MD5
1829 | ESP DES-CBC Transform
1851 | ESP Triple DES-CBC Transform
1852 | IP Authentication using Keyed SHA
1878 | Variable Length Subnet Table For IPv4
1886 | DNS Extensions to Support IP Version 6
1994 | PPP Challenge Handshake Authentication Protocol (CHAP)
1995 | Incremental Zone Transfer in DNS
1996 | A Mechanism for Prompt DNS Notification of Zone Changes
2018 | TCP Selective Acknowledgment Options
2085 | HMAC-MD5 IP Authentication with Replay Prevention
2104 | HMAC: Keyed Hashing for Message Authentication
2131 | Dynamic Host Configuration Protocol (DHCP)
2136 | Dynamic Updates in the Domain Name System (DNS UPDATE)
2181 | Clarifications to the DNS Specification
2205 | Resource ReSerVation Protocol (RSVP) - Version 1 Functional Specification
2236 | Internet Group Management Protocol, Version 2
2308 | Negative Caching of DNS Queries (DNS NCACHE)
2401 | Security Architecture for the Internet Protocol
2402 | IP Authentication Header
2406 | IP Encapsulating Security Payload (ESP)
2581 | TCP Congestion Control

Obtaining RFCs

XOX This Web site is currently maintained by members of the Information Sciences Institute (ISI), who publish a classified listing of all RFCs. RFCs are classified as one of the following: approved Internet standard, proposed Internet standard (circulated in draft form for review), Internet best practices, or For Your Information (FYI) document.

Note

  • XOX


Configure TCP/IP for an alternate configuration

To configure TCP/IP for an alternate configuration

  1. Open Network Connections.
  2. Right-click the network connection that you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (for all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. On the General tab, click Obtain an IP address automatically.
  5. On the Alternate Configuration tab, click User configured and then type the appropriate values for the following:
    • IP address
    • Subnet mask
    • Default gateway
    • Preferred and alternate DNS server
    • Preferred and alternate WINS server
  6. Click OK.

Notes

  • XOX
  • XOX
  • XOX uses either Automatic Private IP Addressing (APIPA) or the alternate configuration to automate Internet Protocol (IP) configuration of network connections.

    • By default, the computer first attempts to contact a DHCP server on the network and dynamically obtain configuration for each installed network connection, as follows:

    • If a DHCP server is reached and leased configuration is successful, TCP/IP configuration is completed.
    • If a DHCP server is not reached after approximately 60 seconds or leased configuration fails, the computer uses the setting on the Alternate Configuration tab to determine whether to use APIPA for automatic TCP/IP configuration or to configure TCP/IP with the alternate configuration. When APIPA is used, XOX TCP/IP uses an address in the APIPA IP address range (169.254.0.1 through 169.254.255.254) and the subnet mask is set to 255.255.0.0.
  • The range of IP addresses (169.254.0.1 through 169.254.255.254) used for APIPA is reserved by the Internet Assigned Numbers Authority (IANA). Any IP addresses within this range are not used on the Internet.


Configure TCP/IP for automatic addressing

To configure TCP/IP for automatic addressing

  1. Open Network Connections.
  2. Right-click the network connection that you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. Click Obtain an IP address automatically, and then click OK.

Notes

  • XOX
  • XOX
  • XOX uses Automatic Private IP Addressing (APIPA) to automate Internet Protocol (IP) configuration of network connections.

    By default, the computer first tries to contact a DHCP server on the network and dynamically obtain configuration for each installed network connection, as follows:

    • If a DHCP server is reached and leased configuration is successful, TCP/IP configuration is completed.
    • If a DHCP server is not reached after approximately 60 seconds or leased configuration fails, the computer uses the setting on the Alternate Configuration tab to determine whether to use APIPA for automatic TCP/IP configuration or to configure TCP/IP with the alternate configuration. When APIPA is used, XOX uses an address in the APIPA IP address range (169.254.0.1 through 169.254.255.254) and the subnet mask is set to 255.255.0.0.
  • The range of IP addresses (from 169.254.0.1 through 169.254.255.254) used for APIPA is reserved by the Internet Assigned Numbers Authority (IANA). Any IP addresses within this range are not used on the Internet.


Configuring TCP/IP overview

TCP/IP is installed by default. Before you configure TCP/IP on a computer using XOX, you need to know:

  • Whether your network supports a dynamic TCP/IP configuration, which uses the Dynamic Host Configuration Protocol (DHCP).

    • A dynamic configuration is the simplest to complete and can be used if there is a DHCP server on your network. The DHCP server provides IP address, subnet mask, default gateway (IP router), DNS domain name, DNS server, and WINS server configuration information. TCP/IP is configured to use a dynamic configuration by default.

  • Whether your network requires a manual TCP/IP configuration.

    • Some existing networks either do not use DHCP or require that TCP/IP configuration is performed manually for each computer.

  • Whether your computer uses an alternate TCP/IP configuration.

    • For example, laptop computers are sometimes connected to an organization network that provides dynamic addressing. At other times, they require an alternate, manual configuration for home networks.

For more information about configuration methods, see TCP/IP configuration methods.

If you do not use DHCP to configure TCP/IP dynamically, obtain the following information from your network administrator to configure TCP/IP manually:

  • The IP address and subnet mask for each network adapter that is installed on the computer.
  • The IP address for the local default gateway (IP router).
  • The name of your DNS domain and the IP addresses of the DNS servers on the network.

    • For Active Directory deployment, the primary DNS suffix (also known as the primary domain name) of a computer is, by default, the name of the Active Directory domain that the computer has joined. If you want your computer's primary DNS suffix to be different from the name of the Active Directory domain that the computer has joined, see To change the DNS suffix of your computer.

  • The IP addresses for the WINS servers, if WINS services are available on your network.

For more information about configuration items, see TCP/IP configuration items.


Disable automatic address configuration

To disable automatic address configuration

  1. Open Registry Editor.

    2. Caution

    • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer. You can also use the Last Known Good Configuration startup option if problems are encountered after manual changes have been applied.
  2. In Registry Editor, navigate to the following registry key:

    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\
    Services\Tcpip\Parameters

  3. Create the following entry:

    IPAutoconfigurationEnabled: REG_DWORD

  4. Assign a value of 0 to disable Automatic Private IP Addressing (APIPA) support.

Notes

  • XOX
  • XOX
  • If the IPAutoconfigurationEnabled entry is not present, a default value of 1 is assumed, which indicates that APIPA is used.


Configure TCP/IP for dynamic addressing

To configure TCP/IP for dynamic addressing

  1. Open Network Connections.
  2. Right-click the network connection that you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. Click Obtain an IP address automatically, and then click OK.

Notes

  • XOX
  • XOX
  • These instructions are only required if a static TCP/IP configuration was previously used. By default, XOX attempts to obtain the TCP/IP configuration from a DHCP server on your network.


Configure TCP/IP for static addressing

To configure TCP/IP for static addressing

  1. Open Network Connections.
  2. Right-click the network connection you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. Click Use the following IP address, and do one of the following:
    • For a local area connection, in IP address, Subnet mask, and Default gateway, type the IP address, subnet mask, and default gateway addresses.
    • For all other connections, in IP address, type the IP address.
  5. Click Use the following DNS server addresses.
  6. In Preferred DNS server and Alternate DNS server, type the primary and secondary DNS server addresses.
  7. To configure advanced static address settings for a local area connection, click Advanced, and do one or more of the following:
    • To configure additional IP addresses:
      1. On the IP Settings tab, in IP addresses, click Add.
      2. In TCP/IP Address, type an IP address in IP address and a subnet mask in Subnet mask, and then click Add.
      3. Repeat steps 1 and 2 for each IP address you want to add, and then click OK.
    • To configure additional default gateways:
      1. On the IP Settings tab, in Default gateways, click Add.
      2. In TCP/IP Gateway Address, type the IP address of the default gateway in Gateway. To manually configure a default metric, clear the Automatic metric check box and type a metric in Metric.
      3. Click Add.
      4. Repeat steps 1 through 3 for each default gateway you want to add, and then click OK.
    • To configure a custom metric for this connection, on the IP Settings tab, clear the Automatic metric check box, and then type a metric value in Interface metric.

Notes

  • XOX
  • XOX


Test a TCP/IP configuration by using the ping command

To test a TCP/IP configuration by using the ping command

  1. To quickly obtain the TCP/IP configuration of a computer, open Command Prompt, and then type ipconfig. From the display of the ipconfig command, ensure that the network adapter for the TCP/IP configuration you are testing is not in a Media disconnected state.
  2. At the command prompt, ping the loopback address by typing ping 127.0.0.1.
  3. Ping the IP address of the computer.
  4. Ping the IP address of the default gateway.

    5. If the ping command fails, verify that the default gateway IP address is correct and that the gateway (router) is operational.

  5. Ping the IP address of a remote host (a host that is on a different subnet).

    6. If the ping command fails, verify that the remote host IP address is correct, that the remote host is operational, and that all of the gateways (routers) between this computer and the remote host are operational.

  6. Ping the IP address of the DNS server.

    7. If the ping command fails, verify that the DNS server IP address is correct, that the DNS server is operational, and that all of the gateways (routers) between this computer and the DNS server are operational.

Notes

  • XOX
  • If the ping command is not found or the command fails, you can use Event Viewer to check the System Log and look for problems reported by Setup or the Internet Protocol (TCP/IP) service.
  • The ping command uses Internet Control Message Protocol (ICMP) Echo Request and Echo Reply messages. Packet filtering policies on routers, firewalls, or other types of security gateways might prevent the forwarding of this traffic.
  • The ipconfig command is the command-line equivalent to the winipcfg command, which is available in Windows Millennium Edition, Windows 98, and Windows 95. XOX does not include a graphical equivalent to the winipcfg command; however, you can get the equivalent functionality for viewing and renewing an IP address by opening Network Connections, right-clicking a network connection, clicking Status, and then clicking the Support tab.

    • Used without parameters, ipconfig displays the IP address, subnet mask, and default gateway for all adapters.

  • To run ipconfig, open the command prompt, and then type ipconfig.
  • XOX


Test TCP/IP connections by using the ping and net view commands

To test TCP/IP connections by using the ping and net view commands

  1. To test TCP/IP connectivity by using the ping command, use the display of the ipconfig command to ensure that your network adapter is not in a Media disconnected state.
  2. Open Command Prompt, and then ping the desired host using its IP address.

    3. If the ping command fails with a Request timed out message, verify that the host IP address is correct, that the host is operational, and that all of the gateways (routers) between this computer and the host are operational.

  3. To test host name resolution by using the ping command, ping the desired host using its host name.

    4. If the ping command fails with an Unable to resolve target system name message, verify that the host name is correct and that the host name can be resolved by your DNS server.

  4. To test TCP/IP connectivity by using the net view command, open Command Prompt, and then type net view \\ComputerName. The net view command lists the file and print shares of a computer using XOX by establishing a temporary connection. If there are no file or print shares on the specified computer, the net view command displays a There are no entries in the list message.

    5. If the net view command fails with a System error 53 has occurred message, verify that ComputerName is correct, that the computer using XOX is operational, and that all of the gateways (routers) between this computer and the computer using XOX are operational.

    If the net view command fails with a System error 5 has occurred. Access is denied. message, verify that you are logged on using an account that has permission to view the shares on the remote computer.

    To further troubleshoot this connectivity problem, do the following:

    • Use the ping command to ping ComputerName.

      If the ping command fails with an Unable to resolve target system name message, then ComputerName cannot be resolved to its IP address.

    • Use the net view command and the IP address of the computer using XOX, as follows:

      net view \\IPAddress

      If the net view command succeeds, then ComputerName is being resolved to the wrong IP address.

      If the net view command fails with a System error 53 has occurred message, the remote computer might not be running the File and Printer Sharing for Microsoft Networks service.

Notes

  • XOX
  • If the ping command is not found or the command fails, you can use Event Viewer to check the System Log and look for problems reported by Setup or the Internet Protocol (TCP/IP) service.
  • The ping command uses Internet Control Message Protocol (ICMP) Echo Request and Echo Reply messages. Packet filtering policies on routers, firewalls, or other types of security gateways might prevent the forwarding of this traffic.
  • This procedure assumes that you are using only the TCP/IP protocol. If you are using other protocols, such as the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol, net view commands might work correctly even when there are problems resolving names and making connections with TCP/IP. A net view connection is attempted with all installed protocols. If the net view connection with TCP/IP fails, a net view connection using NWLink IPX/SPX/NetBIOS Compatible Transport Protocol is attempted.
  • The ipconfig command is the command-line equivalent to the winipcfg command, which is available in Windows Millennium Edition, Windows 98, and Windows 95. XOX does not include a graphical equivalent to the winipcfg command, however, you can get the equivalent functionality for viewing and renewing an IP address by opening Network Connections, right-clicking a network connection, clicking Status, and then clicking the Support tab.

    • Used without parameters, ipconfig displays the IP address, subnet mask, and default gateway for all adapters.

  • To run ipconfig, you must open the command prompt and then type ipconfig.
  • XOX
  • XOX


Install Simple TCP/IP Services

To install Simple TCP/IP Services

  1. Open Add or Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components.
  3. In Components, click Networking Services, and then click Details.
  4. In Subcomponents of Networking Services, click Simple TCP/IP Services, and then click OK.
  5. Click Next.
  6. If prompted to do so, type the path where the XOX distribution files are located, and then click OK.
  7. Click Finish and then click Close.

Notes

  • XOX
  • XOX
  • Simple TCP/IP Services for XOX provides support for the optional TCP/IP protocol services listed in the following table.
    • Protocol | Description | RFC
Character Generator (CHARGEN) | Sends data made up of the set of 95 printable ASCII characters. Useful as a debugging tool for testing or troubleshooting line printers. | 864
Daytime | Returns messages containing the day of the week, month, day, year, current time (in hh:mm:ss format), and time-zone information. Some programs can use the output from this service for debugging or monitoring variations in system clock time or on a different host. | 867
Discard | Discards all messages received on this port without response or acknowledgment. Can serve as a null port for receiving and routing TCP/IP test messages during network setup and configuration or, in some cases, can be used by programs as a message discard function. | 863
Echo | Echoes back data from any messages it receives on this server port. Can be useful as a network debugging and monitoring tool. | 862
Quote of the Day (QUOTE) | Returns a quotation as one or more lines of text in a message. Quotations are taken at random from the following file: systemroot\System32\Drivers\Etc\Quotes. A sample quote file is installed with the Simple TCP/IP Services. If this file is missing, the quote service fails. | 865
  • All of these protocol services are classified as elective Internet standards and are defined and described in the specified Request for Comments (RFC) document listed in the table. For more information on these protocol services, see the RFCs.
  • Do not install Simple TCP/IP Services unless you specifically need this computer to support communication with other systems that use these protocol services.
  • After Simple TCP/IP Services are installed, you cannot enable or disable the separate services individually.


Trace a path by using the tracert command

To trace a path by using the tracert command

  • Open Command Prompt, and type the following:

    tracert host_name

    Or, type tracert ip_address

    where host_name or ip_address is the host name or IP address, respectively, of the remote computer.

    • For example, to trace a connection route from this computer to www.microsoft.com, type the following at a command prompt:

    tracert www.microsoft.com

    If you do not want the tracert command to resolve and display the names of all routers in the path, use the -d parameter. This expedites the display of the path. For example, to trace a path from this computer to www.microsoft.com without displaying the router names, type the following at a command prompt:

    tracert -d www.microsoft.com

Notes

  • XOX
  • The tracert command traces the path by sending Internet Control Message Protocol (ICMP) Echo Request and Echo Reply messages (similar to the ping command) to produce command-line report output about each router that is crossed and the roundtrip time (RTT) for each hop. Packet filtering policies on routers, firewalls, or other types of security gateways might prevent the forwarding of this traffic.
  • If tracert is unsuccessful, you can use the command output to help determine at which intermediate router forwarding failed or was slowed.
  • For details about packet forwarding and packet loss at each router and link in the path, use the pathping command.


Configure TCP/IP to use DNS

To configure TCP/IP to use DNS

  1. Open Network Connections.
  2. Right-click the network connection you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. If you want to obtain DNS server addresses from a DHCP server, click Obtain DNS server address automatically.
  5. If you want to manually configure DNS server addresses, click Use the following DNS server addresses, and in Preferred DNS server and Alternate DNS server, type the preferred DNS server and alternate DNS server IP addresses.
  6. To configure advanced DNS properties, click Advanced, click the DNS tab, and do one or more of the following:
    • To configure an additional DNS server IP address:
      1. Under DNS server addresses, in order of use, click Add.
      2. In TCP/IP DNS server, type the IP address of the DNS server, and then click Add.
    • To modify the resolution behavior for unqualified DNS names, do the following:
      • To resolve an unqualified name by appending the primary DNS suffix and the DNS suffix of each connection (if configured), click Append primary and connection specific DNS suffixes. If you also want to search the parent suffixes of the primary DNS suffix up to the second-level domain, select the Append parent suffixes of the primary DNS suffix check box.
      • To resolve an unqualified name by appending the suffixes from a list of configured suffixes, click Append these DNS suffixes (in order), and then click Add to add suffixes to the list.
    • To configure a connection-specific DNS suffix, type the DNS suffix in DNS suffix for this connection.
    • To modify DNS dynamic update behavior, do the following:
      • To use a DNS dynamic update to register the IP addresses of this connection and the primary domain name of the computer, select the Register this connection's addresses in DNS check box. This option is enabled by default. The primary domain name of the computer is the primary DNS suffix appended to the computer name and can be viewed as the full computer name on the Computer Name tab (available in System in Control Panel).
      • To use a DNS dynamic update to register the IP addresses and the connection-specific domain name of this connection, select the Use this connection's DNS suffix in DNS registration check box. This option is disabled by default. The connection-specific domain name of this connection is the DNS suffix for this connection appended to the computer name.

Notes

  • XOX
  • XOX
  • To completely disable DNS dynamic update for all names on the computer, clear the Register this connection's addresses in DNS and Use this connection's DNS suffix in DNS registration check boxes for all connections in Network Connections.


Configure TCP/IP to use WINS

To configure TCP/IP to use WINS

  1. Open Network Connections.
  2. Right-click the network connection you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. Click Advanced, click the WINS tab, and then click Add.
  5. In TCP/IP WINS server, type the IP address of the WINS server, and then click Add.
  6. Repeat steps 4 and 5 for each WINS server IP address you want to add, and then click OK.
  7. To enable the use of the Lmhosts file to resolve remote NetBIOS names, select the Enable LMHOSTS lookup check box. This option is enabled by default.
  8. To specify the location of the file that you want to import into the Lmhosts file, click Import LMHOSTS, and click the file in the Open dialog box.
  9. To enable or disable NetBIOS over TCP/IP, do the following:
    • To have the DHCP server determine whether NetBIOS over TCP/IP is enabled or disabled, click Default. The value of the Microsoft vendor-specific DHCP option Disable NetBIOS over TCP/IP (NetBT) either enables (set to 1) or disables (set to 2) NetBIOS over TCP/IP on the DHCP client computer. If the DHCP server does not send the Disable NetBIOS over TCP/IP (NetBT) DHCP option during DHCP lease negotiation or TCP/IP is manually configured, NetBIOS over TCP/IP is enabled. For more information about the Disable NetBIOS over TCP/IP (NetBT) DHCP option, click Related Topics.
    • To enable the use of NetBIOS over TCP/IP, click Enable NetBIOS over TCP/IP.
    • To disable the use of NetBIOS over TCP/IP, click Disable NetBIOS over TCP/IP.

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

Notes

  • XOX
  • XOX
  • If you are using a DHCP server to allocate WINS server IP addresses, you do not need to add WINS server addresses.
  • If you disable NetBIOS over TCP/IP, you may not be able to connect to computers that are using operating systems other than Windows 2000 or XOX.
  • If you disable NetBIOS over TCP/IP, you cannot use broadcast-based NetBIOS name resolution to resolve computer names to IP addresses for computers on a network segment, also known as a subnet. Common home network configurations place all of the computers on the same subnet. If NetBIOS over TCP/IP is disabled, you must install a DNS server and either have your computers register with DNS (or manually configure DNS records) or configure entries in the local Hosts file for each computer.
  • You can no longer configure the NetBIOS scope ID on the WINS tab. To configure the NetBIOS scope ID, create the following registry value to the name of the scope ID that you want to use:

    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\NetBT\Parameters\ScopeID


Internet Control Message Protocol (ICMP)

Internet Control Message Protocol (ICMP) is a required TCP/IP standard defined in RFC 792, "Internet Control Message Protocol (ICMP)." With ICMP, hosts and routers that use IP communication can report errors and exchange limited control and status information.

ICMP messages are usually sent automatically in one of the following situations:

  • An IP datagram cannot reach its destination.
  • An IP router (gateway) cannot forward datagrams at the current rate of transmission.
  • An IP router redirects the sending host to use a better route to the destination.

ICMP messages are encapsulated and sent within IP datagrams, as shown in the following illustration.

ICMP encapsulation in an IP datagram

Different types of ICMP messages are identified in the ICMP header. Because ICMP messages are carried in IP datagrams, they are unreliable.

The most common ICMP messages are listed and described in the following table.

ICMP message | Description
Echo request | Determines whether an IP node (a host or a router) is available on the network.
Echo reply | Replies to an ICMP echo request.
Destination unreachable | Informs the host that a datagram cannot be delivered.
Source quench | Informs the host to lower the rate at which it sends datagrams because of congestion.
Redirect | Informs the host of a preferred route.
Time exceeded | Indicates that the Time-to-Live (TTL) of an IP datagram has expired.

You can use the ping command to send ICMP echo request messages and record the receipt of ICMP echo reply messages. With these messages, you can detect network or host communication failures and troubleshoot common TCP/IP connectivity problems.

For more information about ICMP, see RFC 792, "Internet Control Message Protocol (ICMP)." For more information about obtaining RFCs, see Obtaining RFCs.